Hierarchy by set
curl --request POST \
--url https://api.managem.co.uk/search/hierarchy/{game}/{set} \
--header 'Content-Type: application/json' \
--data '
{
"query": "<string>",
"filters": [
{}
],
"facets": {
"Game": [
"<string>"
],
"Product Type": [
"<string>"
],
"Rarity": [
"<string>"
],
"Series": [
"<string>"
],
"Set": [
"<string>"
],
"Illustrator": [
"<string>"
],
"Condition": [
"<string>"
],
"Grading": [],
"Price": [],
"Quantity": [],
"Valid": [],
"Hidden": [],
"Availability": [
"In Stock"
],
"Category": [
"<string>"
]
},
"from": 0,
"size": 25
}
'import requests
url = "https://api.managem.co.uk/search/hierarchy/{game}/{set}"
payload = {
"query": "<string>",
"filters": [{}],
"facets": {
"Game": ["<string>"],
"Product Type": ["<string>"],
"Rarity": ["<string>"],
"Series": ["<string>"],
"Set": ["<string>"],
"Illustrator": ["<string>"],
"Condition": ["<string>"],
"Grading": [],
"Price": [],
"Quantity": [],
"Valid": [],
"Hidden": [],
"Availability": ["In Stock"],
"Category": ["<string>"]
},
"from": 0,
"size": 25
}
headers = {"Content-Type": "application/json"}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({
query: '<string>',
filters: [{}],
facets: {
Game: ['<string>'],
'Product Type': ['<string>'],
Rarity: ['<string>'],
Series: ['<string>'],
Set: ['<string>'],
Illustrator: ['<string>'],
Condition: ['<string>'],
Grading: [],
Price: [],
Quantity: [],
Valid: [],
Hidden: [],
Availability: ['In Stock'],
Category: ['<string>']
},
from: 0,
size: 25
})
};
fetch('https://api.managem.co.uk/search/hierarchy/{game}/{set}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"total": 123,
"hits": [
{
"urn": "<string>",
"type": "card",
"game": "Pokemon",
"title": "<string>",
"name": "<string>",
"rarity": "<string>",
"set": {
"name": "<string>",
"urn": "<string>",
"counts": {
"printed": 123,
"total": 123
},
"references": [
"<string>"
],
"size": 123,
"symbol": {
"url": "<string>"
},
"released": "<string>"
},
"series": {
"name": "<string>",
"urn": "<string>"
},
"images": [
{
"urn": "<string>",
"url": "<string>",
"illustrator": "<string>"
}
],
"number": "<string>",
"description": "<string>",
"price": 123,
"available": 0,
"quantity": 0,
"min": {
"price": 123
},
"max": {
"price": 123
}
}
],
"facets": {}
}Hierarchy
Hierarchy by set
Search within a specific set under a game hierarchy node.
Use this for set-specific pages such as “Base Set”, “Jungle”, and other collection views.
Behavior:
- Resolves
{game}and{set}slugs in the hierarchy tree. - Merges node facets with any user-provided filters from the request body.
- Returns standard search results for that scoped set.
Failure behavior:
- Returns
404when the set slug is not found for the selected game.
POST
/
search
/
hierarchy
/
{game}
/
{set}
Hierarchy by set
Path Parameters
The slug of the game to retrieve results for
Example:
"pokemon"
The slug of the set to retrieve results for
Example:
"base-set"
Body
application/json
A search query includes a free text query property, refinements in the form of facets, pagination controls and optional sorting.
One or more free text search terms
Show child attributes
Show child attributes
Facets to refine the search results. Values are case-sensitive unless noted otherwise.
Show child attributes
Show child attributes
Offset for pagination
Number of results to return
Required range:
1 <= x <= 50Sort results by field and order
Show child attributes
Show child attributes
⌘I